QUOTACHECK(8)

NAME
quotacheck - filesystem quota consistency checker

SYNOPSIS
/usr/etc/quotacheck [ -v ] [ -p ] filesystem...
/usr/etc/quotacheck [ -v ] ] [ -p ] -a

DESCRIPTION
quotacheck examines each filesystem, builds a table of current disk usage, and compares this table against that stored in the disk quota file for the filesystem. If any inconsistencies are detected, both the quota file and the current system copy of the incorrect quotas are updated. (The latter occurs only if an active filesystem is checked).

quotacheck expects each filesystem to be checked to have a quota file named quotas in the root directory. If none is present, quotacheck ignores the filesystem.

quotacheck is normally run at boot time from the /etc/rc.local file, see rc(8), before disk quotas are enabled with quotaon(8).

quotacheck accesses the raw device in calculating the actual disk usage for each user. Thus, the filesystems checked should be quiescent while quotacheck is running.

OPTIONS

-v  Indicate the calculated disk quotas for each user on a particular filesystem. quotacheck normally reports only those quotas modified.

-a  Check all the filesystems whose entries in /etc/fstab indicate they allow read-write access and have disk quotas.

-p  Run parallel passes on the required filesystems, using the pass numbers in /etc/fstab in the same way they are used with fsck(8).

FILES
/etc/fstab    default filesystems

SEE ALSO
quotactl(2), quotaon(8)